Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIAO_RepositoryManagerDaemon_i Class Reference

`#include <RepositoryManager_Impl.h>`

Collaboration diagram for CIAO_RepositoryManagerDaemon_i:

[legend]
List of all members.

## Public Member Functions
| CIAO_RepositoryManagerDaemon_i (CORBA::ORB_ptr the_orb, const char *server="http://localhost:5432/")
virtual | ~CIAO_RepositoryManagerDaemon_i (void)
virtual void | shutdown () throw ( CORBA::SystemException )
virtual void | installPackage (const char *installationName, const char *location) throw ( CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError )
virtual void | createPackage (const char *installationName, const ::Deployment::PackageConfiguration &package, const char *baseLocation,::CORBA::Boolean replace) throw ( CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError )
virtual ::Deployment::PackageConfiguration * | findPackageByName (const char *name) throw ( CORBA::SystemException, ::Deployment::NoSuchName )
virtual ::Deployment::PackageConfiguration * | findPackageByUUID (const char *UUID) throw ( CORBA::SystemException, ::Deployment::NoSuchName )
virtual ::CORBA::StringSeq * | findNamesByType (const char *type) throw ( CORBA::SystemException )
virtual ::CORBA::StringSeq * | getAllNames () throw ( CORBA::SystemException )
virtual ::CORBA::StringSeq * | getAllTypes () throw ( CORBA::SystemException )
virtual void | deletePackage (const char *installationName) throw ( CORBA::SystemException, ::Deployment::NoSuchName )
## Protected Member Functions
Deployment::PackageConfiguration * | retrieve_PC_from_package (char *package)
| function to parse and return the PackageConfiguration from a specified package
void | find_PC_name (char *package, ACE_CString &pcd_name)
| find out what the name of the PackageConfiguration file is
Deployment::PackageConfiguration * | retrieve_PC_from_descriptors (const char *pc_name, const char *descriptor_dir)
int | HTTP_Get (const char *URL, ACE_Message_Block &mb)
int | extract_descriptor_files (char *package, ACE_CString &pcd_name)
int | remove_descriptor_files (char *package)
returns on success on error *int | remove_extracted_package (const char *package_path, const char *extraction_location)
void | dump (void)
| function to dump the state of the RepositoryManager
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_RW_Mutex > | PCMap
typedef PCMap::iterator | PCMap_Iterator
typedef ACE_Hash_Map_Entry< ACE_CString, ACE_CString > | PCEntry
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_RW_Mutex > | CIMap
typedef CIMap::iterator | CIMap_Iterator
typedef ACE_Hash_Map_Entry< ACE_CString, ACE_CString > | CIEntry
typedef ACE_Hash_Map_Bucket_Iterator< ACE_CString, ACE_CString, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_RW_Mutex > | CIBucket_Iterator
## Private Attributes
PCMap | names_
PCMap | uuids_
CORBA::ORB_var | the_orb_
char | cwd_ [TEMP_LEN]
ACE_CString | install_root_
ACE_CString | HTTP_server_

## Member Typedef Documentation

typedef ACE_Hash_Map_Bucket_Iterator<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_RW_Mutex> CIAO_RepositoryManagerDaemon_i::CIBucket_Iterator`[private]`

typedef ACE_Hash_Map_Entry<ACE_CString,ACE_CString> CIAO_RepositoryManagerDaemon_i::CIEntry`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_RW_Mutex> CIAO_RepositoryManagerDaemon_i::CIMap`[private]`

| Based on the synchronization needed we can parametrize this with either ACE_Null_Mutex or ACE_RW_Mutex

typedef CIMap::iterator CIAO_RepositoryManagerDaemon_i::CIMap_Iterator`[private]`

typedef ACE_Hash_Map_Entry<ACE_CString,ACE_CString> CIAO_RepositoryManagerDaemon_i::PCEntry`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ACE_CString, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_RW_Mutex> CIAO_RepositoryManagerDaemon_i::PCMap`[private]`

| Based on the synchronization needed we can parametrize this with either ACE_Null_Mutex or ACE_RW_Mutex

typedef PCMap::iterator CIAO_RepositoryManagerDaemon_i::PCMap_Iterator`[private]`

## Constructor & Destructor Documentation

CIAO_RepositoryManagerDaemon_i::CIAO_RepositoryManagerDaemon_i | ( | CORBA::ORB_ptr | the_orb,
|  | const char * | server = `"http://localhost:5432/"`
| ) |

CIAO_RepositoryManagerDaemon_i::~CIAO_RepositoryManagerDaemon_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void CIAO_RepositoryManagerDaemon_i::createPackage | ( | const char * | installationName,
|  | const ::Deployment::PackageConfiguration & | package,
|  | const char * | baseLocation,
|  | ::CORBA::Boolean | replace
| ) | throw ( CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError )`[virtual]`

void CIAO_RepositoryManagerDaemon_i::deletePackage | ( | const char * | installationName | ) | throw ( CORBA::SystemException, ::Deployment::NoSuchName )`[virtual]`

void CIAO_RepositoryManagerDaemon_i::dump | ( | void |  | ) | `[protected]`

| function to dump the state of the RepositoryManager

int CIAO_RepositoryManagerDaemon_i::extract_descriptor_files | ( | char * | package,
|  | ACE_CString & | pcd_name
| ) | `[protected]`

| function to extract all necessary files for parsing the PackageConfiguration descriptor and populating the idl struct. return 1 on success 0 on error NOTE: ACE_CString& pcd_name is an out parameter

void CIAO_RepositoryManagerDaemon_i::find_PC_name | ( | char * | package,
|  | ACE_CString & | pcd_name
| ) | `[protected]`

| find out what the name of the PackageConfiguration file is

CORBA::StringSeq * CIAO_RepositoryManagerDaemon_i::findNamesByType | ( | const char * | type | ) | throw ( CORBA::SystemException )

Deployment::PackageConfiguration * CIAO_RepositoryManagerDaemon_i::findPackageByName | ( | const char * | name | ) | throw ( CORBA::SystemException, ::Deployment::NoSuchName )

Deployment::PackageConfiguration * CIAO_RepositoryManagerDaemon_i::findPackageByUUID | ( | const char * | UUID | ) | throw ( CORBA::SystemException, ::Deployment::NoSuchName )

CORBA::StringSeq * CIAO_RepositoryManagerDaemon_i::getAllNames | ( |  | ) | throw ( CORBA::SystemException )

CORBA::StringSeq * CIAO_RepositoryManagerDaemon_i::getAllTypes | ( |  | ) | throw ( CORBA::SystemException )

int CIAO_RepositoryManagerDaemon_i::HTTP_Get | ( | const char * | URL,
|  | ACE_Message_Block & | mb
| ) | `[protected]`

| function to retvieve a file via HTTP stores the file in the passed preallocated ACE_Message_Block returns 1 on success 0 on error

void CIAO_RepositoryManagerDaemon_i::installPackage | ( | const char * | installationName,
|  | const char * | location
| ) | throw ( CORBA::SystemException, ::Deployment::NameExists, ::Deployment::PackageError )`[virtual]`

int CIAO_RepositoryManagerDaemon_i::remove_descriptor_files | ( | char * | package | ) | `[protected]`

| function to remove the files extracted for parsing the PackageConfiguration descriptor and populating the idl struct. It reads the names of the files from the package. They correspond to the names on disk. return 1 on success 0 on error

int CIAO_RepositoryManagerDaemon_i::remove_extracted_package | ( | const char * | package_path,
|  | const char * | extraction_location
| ) | `[protected]`

| function to remove the files extracted from the package upon istallation It reads the names of the files from the package. They correspond to the names on disk. It deletes each file, then it deletes the directories that contain them. NOTE: extraction location is path/*archive_name

Deployment::PackageConfiguration * CIAO_RepositoryManagerDaemon_i::retrieve_PC_from_descriptors | ( | const char * | pc_name,
|  | const char * | descriptor_dir
| ) | `[protected]`

| function to parse and return the PackageConfiguration from the already extracted descriptor files

Deployment::PackageConfiguration * CIAO_RepositoryManagerDaemon_i::retrieve_PC_from_package | ( | char * | package | ) | `[protected]`

| function to parse and return the PackageConfiguration from a specified package

void CIAO_RepositoryManagerDaemon_i::shutdown | ( |  | ) | throw ( CORBA::SystemException )`[virtual]`

## Member Data Documentation

char CIAO_RepositoryManagerDaemon_i::cwd_[TEMP_LEN]`[private]`

ACE_CString CIAO_RepositoryManagerDaemon_i::HTTP_server_`[private]`

ACE_CString CIAO_RepositoryManagerDaemon_i::install_root_`[private]`

PCMap CIAO_RepositoryManagerDaemon_i::names_`[private]`

CORBA::ORB_var CIAO_RepositoryManagerDaemon_i::the_orb_`[private]`

PCMap CIAO_RepositoryManagerDaemon_i::uuids_`[private]`

The documentation for this class was generated from the following files:

- RepositoryManager_Impl.h
- RepositoryManager_Impl.cpp